Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
glorious_9x

Cách Chuyển Cao Độ Dạng Text (Chữ Số)

Các bài được khuyến nghị

glorious_9x    0

Em có file cad có các cao độ dạng text (chữ số) các bác hướng dẫn giúp em cách chuyển sang thành cao độ để vẽ bình đồ, lưới tam giác được không ạ. Em xin chân thành cảm ơn.         http://www.cadviet.com/upfiles/5/119084_bd_ke_ho_1a.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ryback    7

http://www.cadviet.com/upfiles/5/134665_new_folder.rar

bạn load cả 2 file lên, gõ lệnh cp3d rồi chọn tất cả các text, sẽ tạo được các điểm có cao độ bằng với giá trị của text, điểm chèn trùng với text luôn. Đối tượng là Point chắc là dựng được mô hình :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
glorious_9x    0

http://www.cadviet.com/upfiles/5/134665_new_folder.rar

bạn load cả 2 file lên, gõ lệnh cp3d rồi chọn tất cả các text, sẽ tạo được các điểm có cao độ bằng với giá trị của text, điểm chèn trùng với text luôn. Đối tượng là Point chắc là dựng được mô hình :D

Cảm ơn bác. em làm được rồi nhưng tại sao khi em dùng ADS để mô hình thì không mở được file ạ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
glorious_9x    0

file nào hả bạn ???

Không mở được file khi đã chuyển text thành cao độ ý bác. Em làm lại thì đã mở được nhưng không thể mô hình địa hình được ạ. Bác giúp em với!!!!

Ví dụ file này http://www.cadviet.com/upfiles/5/119084_binh_do_ho_2.dwg của em không vẽ được lưới tám giác và đường đồng mức ạ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ryback    7

Không mở được file khi đã chuyển text thành cao độ ý bác. Em làm lại thì đã mở được nhưng không thể mô hình địa hình được ạ. Bác giúp em với!!!!

Ví dụ file này http://www.cadviet.com/upfiles/5/119084_binh_do_ho_2.dwg của em không vẽ được lưới tám giác và đường đồng mức ạ.

http://www.cadviet.com/upfiles/5/134665_create_3d_point.rar

mình mở bản vẽ lên thấy các point mất xừ cái dấu phẩy ở cao độ, thành ra cao độ bị tăng lên 100 lần :D, bạn tải cái này thử lại xem. Bạn lưu ý là dùng các Point tạo ra để dựng mô hình nhé, đừng lấy text, không có cao độ đâu :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
glorious_9x    0

http://www.cadviet.com/upfiles/5/134665_create_3d_point.rar

mình mở bản vẽ lên thấy các point mất xừ cái dấu phẩy ở cao độ, thành ra cao độ bị tăng lên 100 lần :D, bạn tải cái này thử lại xem. Bạn lưu ý là dùng các Point tạo ra để dựng mô hình nhé, đừng lấy text, không có cao độ đâu :D

Cảm ơn bác nhiều nhé. Em làm được rồi. <3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

Không mở được file khi đã chuyển text thành cao độ ý bác. Em làm lại thì đã mở được nhưng không thể mô hình địa hình được ạ. Bác giúp em với!!!!

Ví dụ file này http://www.cadviet.com/upfiles/5/119084_binh_do_ho_2.dwg của em không vẽ được lưới tám giác và đường đồng mức ạ.

Hề hề hề,

Bạn cho hỏi rằng cái text cao độ của bạn thể hiện cao độ theo đơn vị là m hay là mm?

Nếu là mm thì bạn có thể dùng lisp sau đây để chèn một point vào điểm đặt của text với cao độ là giá trị của text và trả về một list các point này. Từ đó bạn muốn làm chi với nó thì tùy nhé.

http://www.cadviet.com/upfiles/5/5194_chendiem.lsp

 

(defun c:gpad  ( / sslt pls cd pd p )
(vl-load-com)
(setq sslt (acet-ss-to-list (ssget (list (cons 0 "text") (cons 8 "docaoct")))))
(setq pls (list))
(foreach tp sslt
       (setq cd (atof (cdr (assoc 1 (entget tp))))
                 pd (cdr (assoc 10 (entget tp)))
                 p (list (car pd) (cadr pd) cd)  )
      (command "point" p )
      (setq pls (append pls (list p)))
)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
glorious_9x    0

 

Hề hề hề,

Bạn cho hỏi rằng cái text cao độ của bạn thể hiện cao độ theo đơn vị là m hay là mm?

Nếu là mm thì bạn có thể dùng lisp sau đây để chèn một point vào điểm đặt của text với cao độ là giá trị của text và trả về một list các point này. Từ đó bạn muốn làm chi với nó thì tùy nhé.

http://www.cadviet.com/upfiles/5/5194_chendiem.lsp

(defun c:gpad  ( / sslt pls cd pd p )
(vl-load-com)
(setq sslt (acet-ss-to-list (ssget (list (cons 0 "text") (cons 8 "docaoct")))))
(setq pls (list))
(foreach tp sslt
       (setq cd (atof (cdr (assoc 1 (entget tp))))
                 pd (cdr (assoc 10 (entget tp)))
                 p (list (car pd) (cadr pd) cd)  )
      (command "point" p )
      (setq pls (append pls (list p)))
)
)

Vâng, em làm được rồi. cảm ơn bác nhé!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×